LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XBackendChangesListener Interface Reference

receives notification from backend broadcaster objects. More...

`import"XBackendChangesListener.idl";`

Inheritance diagram for XBackendChangesListener:

## Public Member Functions
void | componentDataChanged ([in] com::sun::star::configuration::backend::ComponentChangeEvent Event)
| is invoked when component data in backend source changes More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives notification from backend broadcaster objects.

See also
  XBackendChangesNotifier

## Member Function Documentation

## ◆ componentDataChanged()

void componentDataChanged | ( | [in] com::sun::star::configuration::backend::ComponentChangeEvent | Event | ) |

is invoked when component data in backend source changes

Parameters

  Event | Event indicating the component data change

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XBackendChangesListener.idl